# This is a sample config file for CPU2006. It was tested with:
#
#      Compiler name/version:       [gcc, g++, gfortran 4.1.2]
#      Operating system version:    [RHEL 5 Update 6, 64-bit]
#      Hardware:                    [Opteron]
#
# If your platform uses different versions, different
# hardware or operates in a different mode (for
# example, 32- vs. 64-bit mode), there is the possibiliy
# that this configuration file may not work as-is.
#
# Note that issues with compilation should be directed
# to the compiler vendor. Information about SPEC techncial
# support can be found in the techsupport document in the
# Docs directory of your benchmark installation.
#
# Also note that this is a sample configuration. It
# is expected to work for the environment in which
# it was tested; it is not guaranteed that this is
# the config file that will provide the best performance.
#
# Note that you might find a more recent config file for
# your platform with the posted results at
# www.spec.org/cpu2006
####################################################################
# AMD64 (64-bit) gcc 4.1.2 config file 
# Sample Config file for CPU2006 
#####################################################################

ignore_errors = yes
tune          = base
basepeak      = yes
ext           = virt-64bit
output_format = asc,csv,html
flagsurl0     = $[top]/config/flags/Example-gcc4x-flags-revA.xml
flagsurl1     = $[top]/config/flags/Example-linux-platform-revA.xml
reportable    = yes
teeout        = yes
teerunout     = yes
hw_avail      = Dec-9999
license_num   = 0
test_sponsor  = Test Sponsor (Optional, defaults to hw_vendor)
tester        = (Optional, defaults to hw_vendor)

#####################################################################
# Flags set for virt batch workload
#####################################################################

parallel_test = 4

default=default=default=default:
#####################################################################
#
# Compiler selection
#
#####################################################################
CC                 = /usr/bin/gcc
CXX                = /usr/bin/g++
FC                 = /usr/bin/gfortran

## HW config
# default sysinfo is expected to write hw_cpu_name, hw_memory, hw_nchips,
# hw_disk
hw_model           = System Model Name
hw_cpu_char        =
hw_cpu_mhz         = 9999
hw_fpu             = Integrated
hw_ncores          = number of cores enabled
hw_ncoresperchip   = number of cores manufactured into each chip
hw_nthreadspercore = number of threads enabled per core
hw_ncpuorder       = 1,2 chips
hw_pcache          = 9999 KB I + 9999 KB D on chip per core
hw_scache          = 9999 KB I+D on chip per core
hw_tcache          = 9999 MB I+D on chip per chip
hw_ocache          = None
hw_vendor          = System Vendor
hw_other           = None

## SW config
# default sysinfo is expected to write prepared_by, sw_os, sw_file, sw_state
sw_compiler        = gcc, g++ & gfortran 4.1.2
sw_avail           = Jan-2011
sw_other           = None
sw_base_ptrsize    = 64-bit
sw_peak_ptrsize    = 64-bit

#####################################################################
# Notes
#####################################################################
notes_submit_000 ='numactl' was used to bind copies to the cores.
notes_submit_005 =See the configuration file for details.

notes_os_000 ='ulimit -s unlimited' was used to set environment stack size

#####################################################################
# Optimization
#####################################################################

default=base=default=default:
COPTIMIZE   = -O2 
CXXOPTIMIZE = -O2 
FOPTIMIZE   = -O2

#####################################################################
# 32/64 bit Portability Flags - all
#####################################################################

default=base=default=default:
PORTABILITY    = -DSPEC_CPU_LP64

#####################################################################
# Portability Flags
#####################################################################

400.perlbench=default=default=default:
CPORTABILITY   = -DSPEC_CPU_LINUX_X64

462.libquantum=default=default=default:
CPORTABILITY   =  -DSPEC_CPU_LINUX

483.xalancbmk=default=default=default:
CXXPORTABILITY = -DSPEC_CPU_LINUX

#481.wrf=default=default=default:
#wrf_data_header_size = 8
#CPORTABILITY   = -DSPEC_CPU_CASE_FLAG -DSPEC_CPU_LINUX

__MD5__
400.perlbench=base=virt-64bit=default:
# Last updated Tue Sep  6 11:10:50 2011
optmd5=9cfdf297befcb821522c47564490dd33
baggage=
compile_options=\
@eNq1UcFugzAMvecrotwZWjXtgEolCFnLBiSiIHW9RC2jUzYgU4BJ+/sFCi3ttMMOs3Jw7Gf7+TmS\
lVHu3vODKHIoPxohq9oCdaNE1nDVVi9C8c9cicOXjW4RwDRkFjTbWpl7UZmvWQYN/eRYeiOh4a0Z\
wRyzVLuRR9x0qR1G4oBjGhMIoUFn8GhnLA/Y/d3F34/SDd/o4GDzWrYqyxcAWxBjG01JoD5I3UfK\
EhtdMEJAE9YNHwJnuda5n+x6hEsivOIn0IkuArTrzBI/9LdEp+isxzMaJ47rB37yPG3arzGM/A0x\
LoaAdp+u1BzU+YMwc7l/y7OmXnS1RTnKdVag0ybwrgX7x7X0vNBJVjrkdmIWJTpSoGl3nMllvgEe\
e7DN
exemd5=99902b2aed228799b9b46fc6cec300f1

403.gcc=base=virt-64bit=default:
# Last updated Tue Sep  6 11:11:57 2011
optmd5=baa7edd891f1086d96ce9a12f54abb6f
baggage=
compile_options=\
@eNqdUEFPgzAYvfdXfOkdiIvxQMaSUXCrFto4OOilcchMFagpYOK/t7CR4YwXv/TQvL6+772X6sap\
n9/Lg6pK0B+d0k3ro7Yzquik6ZsXZeRnadThK8BXGBGeCB+8vjXeXjXea1GAY4+evroanGgnYiKJ\
yO01jeIw34BDXQBw+AKOc+ZIJm6uYZplq3tTlCtEfCAkwPNFeAR5eMdFFuAfWzGypqzYLVtvdvbt\
t4OREcYp2cqJRF2M+KAoMprQp9hCfDHyBH/I1iFlNHuci41WMWI0vb+o4BTtj1RLvX8ri65dDbyq\
nuCz/SEYiy7T/sebFUrW2VYyGg4RqxoftXk+VDbr6xu3KIpb
exemd5=aacdb64dd214f98f8c740494aa5da173

429.mcf=base=virt-64bit=default:
# Last updated Tue Sep  6 11:11:59 2011
optmd5=985ccef82e533311c8a051b224a35041
baggage=
compile_options=\
@eNqdUNFOgzAUfe9XNH1H4mJ8IGMJFNyqhTajxOhL45CZKlBTmIl/b2HDIcYXb/pwc3ruuefcVDdO\
/fRW7lVVQv3eKd20Hmg7o4pOmkPzrIz8KI3af/roEgHMEu5B99Aad6ca96UooGOfHkcvNHSijMdY\
Yp7bNo3iMF9D290HqZCZiLDkWyaYhdgCHus8ISm/voJjLVt9MEW5AtiDGPtouhYNIAtvGRc++uEB\
AWvRit3QYJ3Zv99+BkYYp3gj8TdrZhAB1i/ggiTkMbYEthjGONuKICSUiIep9uAcAUrSu9l9Tkn/\
CLnUu9ey6NpVz6vqET6n6XPSaB7+P96sUBKIjaQk7ANXNTpqs7y/4OR8XxeEk6w=
exemd5=6059eb4ad3a52cd45921b4e7e3e7c58f

445.gobmk=base=virt-64bit=default:
# Last updated Tue Sep  6 11:12:18 2011
optmd5=25e22ffc983b480fbc8951f4c3b2bda0
baggage=
compile_options=\
@eNqdUNFOgzAUfecrmr4z4mJ8IGMJFAZVoI0DE31pHGOmCtQUMPHvbWFsOOOD3rTN7e3tueecVDRm\
/fxWHnhVAvHecdG0ttF2khcdk32z55J9lJIfPh14BQ1EEmoDq2+lteON9VIUwFRLTF8XApj+lgaI\
IZqrNPUDLw9VErkPAUMk3eCQRcDEC73Hw+JNUfX7Ul9OOQAmWYIxzogspjfXYIpVK3pZlGsD2QAh\
B85pwaFIvFtCMwd+4wgNJUGBbWI33Kq3n3yHDi9IUcROTX8UAA2i59MMJ/gpUABkOaBScp+5Ho5x\
9jgfPQiDRozTuwt7j0b84sFK7F7LomvXuq+qp/JZrLYh9i+9+Q83BZS4WcRi7GlDqhqO2CTXBs/c\
/QIWd6TZ
exemd5=270d8b76f73c4c51d91bfd76f4d82781

456.hmmer=base=virt-64bit=default:
# Last updated Tue Sep  6 11:12:28 2011
optmd5=af3d974d6c6fa5808621c70d5d4e9a13
baggage=
compile_options=\
@eNqdUNFOgzAUfe9XNH1H4mJ8IGMJFJzVQhtXHuYLcZWZKlBTwMS/t2Ujw5m9eNKH5t5z7j3n5rr1\
mpePaq/qCurPXum2C0DXGyX70gztqzLlV2XU/jtE1whglvEA+kNn/J1q/TcpoWefnqRXGnrJhqe4\
xLyw3zxJ42INLTy2gAecCCXltzdwwrLTg5HVCuAAYhyi+RY0Fln8wLgI0a+VCFhHdtgdjdYb2/u7\
HgHmxFyQjDynlsIWo4izJxHFhBKxnetGVwhQkj+eRT2muBBgqXfvley7lePVzVQ+OXUZaHIe7D/e\
7KAsEvclJbGLXDfoMJsV7jqz0/wAvtyEsg==
exemd5=8b2097f6b5e2939f9c2818e2e6428d19

458.sjeng=base=virt-64bit=default:
# Last updated Tue Sep  6 11:12:32 2011
optmd5=5cdf34d9ef2b84066c8b64b47e8f6cc2
baggage=
compile_options=\
@eNqdUEFOwzAQvPsVK99DRIU4RE2lxgmVixtbNDnQS0SNi9yWGNkJEr/HCVRJi7h0tIeVvbMzs7mp\
g/eXg9rpowLz0WhTuwi5xmrZVLatX7WtPpXVu68Y32JE+EpEELbOhltdh29SQuDLnKg3BoJ0LTJS\
EVH6Nk+zpFyAR8An8INhoGLi/g5OmDrTWqlmiERASIzHKrh/5MmSiyLGZ5IYeUd+2QObL9b+7688\
Rrwji4Ku6CbzI3zSkwR/KuYJZbR4HvN6Vxgxmj9eRP1N8U+AqdnulWzcDAYMNrsALL1MdY2xfhEv\
uzuMjvANiGd+yw==
exemd5=a6986947cc125f8663e03dc426bd6f34

462.libquantum=base=virt-64bit=default:
# Last updated Tue Sep  6 11:12:34 2011
optmd5=e8fa323a2475a196401d09c45150a5d0
baggage=
compile_options=\
@eNq1UNFqgzAUfc9XhLw7WRl7kFrQ6LpsasKqsPVF1syObGpGooP9/RJrqW0Z7KUhkNzknHvPOZls\
neb1s9qKuoLyqxOy1R7QnRK8K1XfvglVfldKbH98dI0ApinzoNtr5W5E675zDh2z5Z56JaETrViM\
S8wKc82iOCyW0CyHzuBuHQBlwm5vjmqSFc8jDM617BWvFgB7EGMfTaei4ZGGD5TlPjqSgIBRaJrd\
JcFyZf7O5SBALZnlJCXr2EDobCAx+pQHIUlI/jLlDSrHrn8hrG4EzPF4ks5o/J+e53LzUfFOLyyv\
bvZJHMxZ20l0msWF7JhZaZDfmzK0QdYN2o2nhc18EvgvwkGhkA==
exemd5=54e3a60073197de29ba4083b551d5e26

464.h264ref=base=virt-64bit=default:
# Last updated Tue Sep  6 11:12:47 2011
optmd5=af3d974d6c6fa5808621c70d5d4e9a13
baggage=
compile_options=\
@eNqdUNFOgzAUfe9XNH1H4mJ8IGMJFJzVQhtXHuYLcZWZKlBTwMS/t2Ujw5m9eNKH5t5z7j3n5rr1\
mpePaq/qCurPXum2C0DXGyX70gztqzLlV2XU/jtE1whglvEA+kNn/J1q/TcpoWefnqRXGnrJhqe4\
xLyw3zxJ42INLTy2gAecCCXltzdwwrLTg5HVCuAAYhyi+RY0Fln8wLgI0a+VCFhHdtgdjdYb2/u7\
HgHmxFyQjDynlsIWo4izJxHFhBKxnetGVwhQkj+eRT2muBBgqXfvley7lePVzVQ+OXUZaHIe7D/e\
7KAsEvclJbGLXDfoMJsV7jqz0/wAvtyEsg==
exemd5=4fb25e51e3d756e0404d0e35d9311813

471.omnetpp=base=virt-64bit=default:
# Last updated Tue Sep  6 11:13:20 2011
optmd5=8a71b5dcff1be9fcb5ab9a4c0d47b7c2
baggage=
compile_options=\
@eNqdUF1LwzAUfe+vuOR1dMUhPpR1sKZ1RrsmbC1MX4LtMol2iaTtwH9v1m2uTkHwQkI+7jn3nJNq\
5W6f38RGVgL0eyO1qn2nbowsG25atZaG74SRm48AXSEH0znzwWtr4xVSeS+DAbgluPoEHWpwoyWL\
Mccst8c0isN8Bi4Z2qW3SjRcqrJq18LeK1nUnlA7aQDApaP9/gXmCbu5hkONa92aUkwc7ANerQLU\
F4COrzS8pywL0Dc9yLFyLdttMp0t7d9PbV1HGKf4jp+a/hCLHHoYyDIyJ0+xRdBRR8PoIpuGJCHZ\
Y39WZwU5CUkfLrI72v7dNYx18SrKpp7Auc7W9raT6DKL/0nrqGi+T68X3ScgcpmP
exemd5=a0866384dfdbdc5f0ac58ae82e0f47ee

473.astar=base=virt-64bit=default:
# Last updated Tue Sep  6 11:13:23 2011
optmd5=486f7c5807dbc6270936d2896926dd70
baggage=
compile_options=\
@eNqdUMtOwzAQvPsrVr5WIaJCHKKmUuKYYkhtq02kwsWiIUXmESMnQeLvcdKiJi0n9mBZuzO7M8NN\
5X08vZU7/V6C+Wy0qeoA1Y3VRaNsWz1rq75Kq3ffIb7EiIilDMBva+tvdeW/TCbgFeCZX+qFAS9Z\
S0oUkbn78oTG+WLQUynLspQqyhMWcQDwxLR7BwB5fQX7mtWmtUU5RyQAstmEeHgYH7oivhMyC/FI\
B0ZOptt2k0aLtZuda+oRMeXkVp2BxiIxEvtDMmNL9kgdUkx7uhSrLIqZQz+M6c4CRinj9ydZHez+\
7RZmZvtaFk09h2MdLXV20+Q0g/9J61eJvEttENkP0SKRZQ==
exemd5=b1225ce931218df5359e24e243e69860

483.xalancbmk=base=virt-64bit=default:
# Last updated Tue Sep  6 11:17:00 2011
optmd5=a54152c5134d9a37014cf7b19ea7a56c
baggage=
compile_options=\
@eNrtU8FuozAQvfMVFteKokZVD1FTyQE3dddgC5uK9mJRQit2Ca5sqNq/X0NCQrJaqZfeagkxb+Z5\
sOc9YtV4m/xP+VLVJVBvbaUaM3dMq6uilbpr1pWW76WuXj4X7oXrBDRic+B3RvvPVeO/np0BrwCe\
GreeK+CFnKFABiy1YRyiZboCNoKMyZhKcZcgGHKbyCCBscRxhCIZ8ZUkFIYoAR4+t89HqYvSFIfI\
X6vNMfKrzVs9SZn8Y4K6tqr9yLwSla9LbXzcROVG6c9TitB5Ywq15RSqee8JeZ03hV81Rd2tS3tU\
ltB7mUWEwYT3R9wnUoHJCLdFPkIOs8tgAmZjHNJoDB8gwSEUdNhl28mUIxlDgR+QFAmMeUCHkexr\
u2khzuEK7QYGPDoDYDJ2SdjV5RHGcZqBYV0b1dnb3zjBHARZtnCnUrq7LF3eUyYW7pGyrmOFt91u\
CVxxW/tX5YGxRHFwJ22TPe9H+O8R3nXoVi0mcISfkJ01nQ0aMJoIuMQEi8epUIMvtjJm2X85vVdc\
x75+nfznO6N9zWfgWj3/LovW3IDDOpipNxoJT933jfcZvkfT3tQTR/8FcPR+VQ==
exemd5=286967a585171ae58345255bd27a80ca

999.specrand=base=virt-64bit=default:
# Last updated Tue Sep  6 11:17:02 2011
optmd5=5cdf34d9ef2b84066c8b64b47e8f6cc2
baggage=
compile_options=\
@eNqdUEFOwzAQvPsVK99DRIU4RE2lxgmVixtbNDnQS0SNi9yWGNkJEr/HCVRJi7h0tIeVvbMzs7mp\
g/eXg9rpowLz0WhTuwi5xmrZVLatX7WtPpXVu68Y32JE+EpEELbOhltdh29SQuDLnKg3BoJ0LTJS\
EVH6Nk+zpFyAR8An8INhoGLi/g5OmDrTWqlmiERASIzHKrh/5MmSiyLGZ5IYeUd+2QObL9b+7688\
Rrwji4Ku6CbzI3zSkwR/KuYJZbR4HvN6Vxgxmj9eRP1N8U+AqdnulWzcDAYMNrsALL1MdY2xfhEv\
uzuMjvANiGd+yw==
exemd5=f9c2ea8d1dc8bc693e46a1787b6ef580

401.bzip2=base=virt-64bit=default:
# Last updated Tue Dec  5 03:30:47 2023
optmd5=5cdf34d9ef2b84066c8b64b47e8f6cc2
baggage=
compile_options=\
@eNqdUEFOwzAQvPsVK99DRIU4RE2lxgmVixtbNDnQS0SNi9yWGNkJEr/HCVRJi7h0tIeVvbMzs7mp\
g/eXg9rpowLz0WhTuwi5xmrZVLatX7WtPpXVu68Y32JE+EpEELbOhltdh29SQuDLnKg3BoJ0LTJS\
EVH6Nk+zpFyAR8An8INhoGLi/g5OmDrTWqlmiERASIzHKrh/5MmSiyLGZ5IYeUd+2QObL9b+7688\
Rrwji4Ku6CbzI3zSkwR/KuYJZbR4HvN6Vxgxmj9eRP1N8U+AqdnulWzcDAYMNrsALL1MdY2xfhEv\
uzuMjvANiGd+yw==
exemd5=9bcae7eebe3fb087712416825b0037d3

